
#include <glib-object.h>

#include "gmyth_util.h"
#include "gmyth_backendinfo.h"

int
main (int args, const char **argv)
{
    const char *filename = argv[1];

    gboolean res;
    GMythBackendInfo *backend_info;

    g_type_init ();

    backend_info = gmyth_backend_info_new ();

    gmyth_backend_info_set_hostname (backend_info, "127.0.0.1");
    gmyth_backend_info_set_port (backend_info, 6543);
    
    g_print ("XXXXXXXX Testing if file %s exists in backend 127.0.0.1\n", filename);
    
    res = gmyth_util_file_exists (backend_info, filename);

    g_print ("XXXXXXXX Result is: %d\n", res);

    return 0;    
}
